Bug 20921 - -webkit-animation-timing-function: inside of keyframes is ignored
: -webkit-animation-timing-function: inside of keyframes is ignored
Status: RESOLVED FIXED
Product: WebKit
Classification: Unclassified
Component: Layout and Rendering
: 528+ (Nightly build)
: Macintosh Mac OS X 10.5
: P2 Normal
Assigned To: Chris Marrin
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-18 14:07 PDT by Simon Fraser (smfr)
Modified: 2008-09-29 14:18 PDT (History)
1 user (show)

See Also:


Attachments
Testcase (1.96 KB, text/html)
2008-09-18 14:07 PDT, Simon Fraser (smfr)
no flags Details
Patch, including LayoutTest file (8.71 KB, patch)
2008-09-19 09:55 PDT, Chris Marrin
sam: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Simon Fraser (smfr) 2008-09-18 14:07:40 PDT
The spec allows -webkit-animation-timing-function: to be used inside a keyframe, to affect the timing function for just that keyframe. This seems not to work.
Comment 1 Simon Fraser (smfr) 2008-09-18 14:07:59 PDT
Created attachment 23536 [details]
Testcase
Comment 2 Chris Marrin 2008-09-19 09:55:17 PDT
Created attachment 23569 [details]
Patch, including LayoutTest file
Comment 3 Simon Fraser (smfr) 2008-09-29 14:18:24 PDT
Committed r37074
	M	WebCore/ChangeLog
	M	WebCore/page/animation/AnimationBase.h
	M	WebCore/page/animation/KeyframeAnimation.cpp
	M	WebCore/page/animation/AnimationBase.cpp
	M	WebCore/page/animation/ImplicitAnimation.cpp
	M	LayoutTests/ChangeLog
	A	LayoutTests/animations/keyframe-timing-functions-expected.txt
	A	LayoutTests/animations/keyframe-timing-functions.html
r37074 = fd48da22f12234df6dbe3491dffa94b8e52fe8a4 (trunk)